fse.vo

## Class DocumentURI

- java.lang.Object
- - fse.vo.DocumentURI

-     public class DocumentURI
      extends java.lang.Object

  Contiene le informazioni per identificare univocamente un documento

  Java class for documentIdentifier complex type.

  The following schema fragment specifies the expected content contained within this class.

  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `documentID`
    `protected java.lang.String` | `regionalNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentURI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentID()` Restituisce l'id locale del documento
    `java.lang.String` | `getRegionalNode()` Restituisce l'identificativo univoco del nodo regionale (coincide con il codice della regione secondo la codifica ISO 3166-2:IT)
    `void` | `setDocumentID(java.lang.String value)` Imposta l'id locale del documento.
    `void` | `setRegionalNode(java.lang.String value)` Imposta l'identificativo univoco del nodo regionale (coincide con il codice della regione secondo la codifica ISO 3166-2:IT).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentID

          protected java.lang.String documentID

    - #### regionalNode

          protected java.lang.String regionalNode

  - ### Constructor Detail

    - #### DocumentURI

          public DocumentURI()

  - ### Method Detail

    - #### getDocumentID

          public java.lang.String getDocumentID()

      Restituisce l'id locale del documento
      Returns:
        l'id del documento

    - #### setDocumentID

          public void setDocumentID(java.lang.String value)

      Imposta l'id locale del documento. Parametro obbligatorio.
      Parameters:
        `value` - l'id del documento

    - #### getRegionalNode

          public java.lang.String getRegionalNode()

      Restituisce l'identificativo univoco del nodo regionale (coincide con il codice della regione secondo la codifica ISO 3166-2:IT)
      Returns:
        l'id del nodo regionale

    - #### setRegionalNode

          public void setRegionalNode(java.lang.String value)

      Imposta l'identificativo univoco del nodo regionale (coincide con il codice della regione secondo la codifica ISO 3166-2:IT). Parametro obbligatorio.
      Parameters:
        `value` - l'id del nodo regionale